org.apache.fop.complexscripts.scripts

## Class IndicScriptProcessor.Syllabizer

- java.lang.Object
- - org.apache.fop.complexscripts.scripts.IndicScriptProcessor.Syllabizer

- All Implemented Interfaces:
    java.lang.Comparable
  Direct Known Subclasses:
    IndicScriptProcessor.DefaultSyllabizer
  Enclosing class:
    IndicScriptProcessor

      protected abstract static class IndicScriptProcessor.Syllabizer
      extends java.lang.Object
      implements java.lang.Comparable

  Abstract syllabizer.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.